<?php
session_start(); // Inizia la sessione
require 'configConnCliente.php';
// Gestisce il processo di registrazione
if ($_SERVER["REQUEST_METHOD"] === "POST") {
    $username = strtolower(trim($_POST["username"]));
    $password = $_POST["password"];

        // Controlla se l'username e l'email esistono già
        $sql = "SELECT username FROM clienti WHERE username = '$username'";
        $result = $conn->query($sql);
        if ($result->num_rows > 0) {
            $errore = "Nome utente o email già esistente.";
        } else {
            // Crittografa la password usando password_hash()
            $hashed_password = password_hash($password, PASSWORD_DEFAULT);//PASSWORD_DEFAULT indica l'algoritmo di hashing da utilizzare. 
                                                                        //Attualmente, PASSWORD_DEFAULT utilizza l'algoritmo bcrypt, 
                                                                        //ma potrebbe essere aggiornato a un algoritmo più sicuro in futuro 
                                                                        //senza necessità di modificare il codice.

            // Inserisce il nuovo utente nel database con la password crittografata
            $sql = "INSERT INTO clienti (username,password) VALUES ('$username','$hashed_password')";
            if ($conn->query($sql) === TRUE) {
                // Successo, reindirizza al login
                header("Location: logincliente_soggetto_SQL_INJECTION.php");
                exit;
            } else {
                $errore = "Errore durante la registrazione. Riprova.";
            }
        }
    
}
$conn->close();
?>
<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registrazione</title>
</head>
<body>
    <h1>Registrazione Nuovo Utente</h1>

    <?php if (isset($errore)) { echo "<p style='color:red;'>$errore</p>"; } ?>

    <form method="post" action="">
        <input type="text" name="username" placeholder="username" required><br><br>
        <input type="password" name="password" placeholder="password" required><br><br>
        <button type="submit">Registrati</button>
    </form>
    <br>
    <a href="login.php">Già registrato? Accedi</a>
</body>
</html>

<!-- CREATE TABLE utenti (
    id INT AUTO_INCREMENT PRIMARY KEY,           
    email VARCHAR(100) UNIQUE NOT NULL,          
    password_hash VARCHAR(255) NOT NULL,         
    nome VARCHAR(50) NOT NULL,                   
    data_creazione TIMESTAMP DEFAULT CURRENT_TIMESTAMP  
); -->