<?php
session_start(); // Inizia la sessione
require 'configConnCliente.php';
// Verifica i dati inviati tramite il form
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = strtolower(trim($_POST["username"]));
    $password = trim($_POST["password"]);

    /* se lo username è questo:
    
        ' OR 1=1; DELETE FROM prodotti WHERE id_prodotto=3; --
    
    e se l'accesso al database è effettuato da un utente che
    ha il privilegio di DELETE, il prodotto  id_prodotto=3 viene eliminato,
    Se invece il tipoi di utente non ha tale privilegio, l'attacco con  SQL INJECTION
    viene evitato poichè l'utente non ha il privilegio di eliminare dati

    */

    // Query per verificare username e password
    $sql = "SELECT username, password FROM clienti WHERE username = '$username'";
    if ($conn->multi_query($sql)) {
        do {
            if ($result = $conn->store_result()) {
                if ($row = $result->fetch_assoc()) {
                    if (password_verify($password, $row["password"]))     {//La funzione password_verify ha due argomenti: la password in chiaro e l'hash della password. 
                        //confronta la password in chiaro con l'hash e restituisce 
                        //true se la password corrisponde all'hash, altrimenti restituisce false
                        // Salva i dati della sessione
                        $_SESSION["loggato"] = true;
                        $_SESSION["username"] = $username;
                        $_SESSION["ora_login"] = time();
                        header("Location: menu_cliente.php");
                        exit;
                        } else {
                        $errore = "Password     errata.";
                        }
                }
                $result->free();
            }
        } while ($conn->next_result());
        }
        else 
        {
            echo "Errore nell'esecuzione delle query: " . $conn->error;
        }

}
$conn->close();
?>
<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login cliente</title>
</head>
<body>
    <h1>Login cliente</h1>
    <?php if (isset($errore)) { echo "<p style='color:red;'>$errore</p>"; } ?>
    <form method="post" action="">
        <input type="text" name="username" placeholder="Utente" required><br><br>
        <input type="password" name="password" placeholder="Password" required><br><br>
        <button type="submit">Accedi</button>
    </form>
    <br>
  <p>Non hai un account? <a href="register.php">Registrati qui</a></p>
</body>
</html>